Bug 1254256 - [abrt] ESource double unref
[abrt] ESource double unref
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution-rspam (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0bba49bfa34cb08ac9d1da13e25...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 10:02 EDT by Matthew Saltzman
Modified: 2015-09-25 06:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: evolution-rspam-0.6.0-12 evolution-rspam-0.6.0-11.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 06:54:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (86.27 KB, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: core_backtrace (63.17 KB, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: dso_list (27.06 KB, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: environ (1.44 KB, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: maps (136.82 KB, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: mountinfo (3.60 KB, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: open_fds (3.73 KB, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details
File: var_log_messages (12.42 KB, text/plain)
2015-08-17 10:02 EDT, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2015-08-17 10:02:27 EDT
Description of problem:
Crash occurred whem reporting spam with the rspam plugin.

Version-Release number of selected component:
evolution-3.16.5-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        evolution
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/evolution
global_pid:     6205
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4028
 #1 g_object_ref at gobject.c:3040
 #2 g_list_foreach at glist.c:1005
 #3 source_registry_sources_get_values at e-source-registry.c:483
 #4 e_source_registry_list_sources at e-source-registry.c:2339
 #5 em_utils_folder_is_sent at e-mail-utils.c:226
 #6 update_1folder at mail-folder-cache.c:804
 #7 folder_cache_process_folder_changes_thread at mail-folder-cache.c:1045
 #8 mail_msg_proxy at mail-mt.c:373
 #10 g_thread_proxy at gthread.c:764
Comment 1 Matthew Saltzman 2015-08-17 10:02:29 EDT
Created attachment 1063867 [details]
File: backtrace
Comment 2 Matthew Saltzman 2015-08-17 10:02:30 EDT
Created attachment 1063868 [details]
File: cgroup
Comment 3 Matthew Saltzman 2015-08-17 10:02:31 EDT
Created attachment 1063869 [details]
File: core_backtrace
Comment 4 Matthew Saltzman 2015-08-17 10:02:32 EDT
Created attachment 1063870 [details]
File: dso_list
Comment 5 Matthew Saltzman 2015-08-17 10:02:33 EDT
Created attachment 1063871 [details]
File: environ
Comment 6 Matthew Saltzman 2015-08-17 10:02:33 EDT
Created attachment 1063872 [details]
File: limits
Comment 7 Matthew Saltzman 2015-08-17 10:02:34 EDT
Created attachment 1063873 [details]
File: maps
Comment 8 Matthew Saltzman 2015-08-17 10:02:35 EDT
Created attachment 1063874 [details]
File: mountinfo
Comment 9 Matthew Saltzman 2015-08-17 10:02:36 EDT
Created attachment 1063875 [details]
File: namespaces
Comment 10 Matthew Saltzman 2015-08-17 10:02:37 EDT
Created attachment 1063876 [details]
File: open_fds
Comment 11 Matthew Saltzman 2015-08-17 10:02:38 EDT
Created attachment 1063877 [details]
File: proc_pid_status
Comment 12 Matthew Saltzman 2015-08-17 10:02:39 EDT
Created attachment 1063878 [details]
File: var_log_messages
Comment 13 Milan Crha 2015-08-19 04:41:32 EDT
Thanks for a bug report. I found out that evolution-rspam is unreffing an ESource twice, instead of only once, which causes this use-after-free later in the code. This will be fixed for rawhide, Fedora 23 and Fedora 22.
Comment 14 Fedora Update System 2015-08-19 05:13:52 EDT
evolution-rspam-0.6.0-11.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/evolution-rspam-0.6.0-11.fc22
Comment 15 Fedora Update System 2015-08-21 22:51:55 EDT
evolution-rspam-0.6.0-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update evolution-rspam'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/evolution-rspam-0.6.0-11.fc22
Comment 16 Fedora Update System 2015-09-25 06:54:22 EDT
evolution-rspam-0.6.0-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.